Page MenuHomePhabricator

Email batch contained no useful information
Closed, ResolvedPublic

Description

... and even should not have been sent me because I didn't recieve any notifications during Friday (on Wikidata).

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterDon't send empty emails

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 4 2016, 7:29 AM
Etonkovidova added a subscriber: Etonkovidova.EditedJun 7 2016, 4:45 PM

The message is a summary (the option "A daily summary of notifications" was selected in Preferences-Notificaitons.

The email of daily summary notifications has more details than the screenshot in the ticket.
It might be that details about the type of messages and the page(s) from where messages come are omitted when types of messages are quite different or/and messages come from different pages.

What needs to be done here?

If possible, figure out why Matej received an "empty" digest email, and fix this so empty emails aren't sent.

What needs to be done here?

If possible, figure out why Matej received an "empty" digest email, and fix this so empty emails aren't sent.

Sorry, I misunderstood. I somehow missed the fact that the email was empty.

If none of the notifications can be rendered (canRender() returns false) then an empty email would likely be sent. I'll fix that and check for other cases.

Change 296394 had a related patch set uploaded (by Sbisson):
Don't send empty emails

https://gerrit.wikimedia.org/r/296394

Change 296394 merged by jenkins-bot:
Don't send empty emails

https://gerrit.wikimedia.org/r/296394

Checked in production.

The batch email displays, e.g.

jmatazzoni closed this task as Resolved.Jul 12 2016, 6:05 PM